%global commit0   97667d7efe826c762d2b789ad5afc2c2516e44da
%global c0date    20160114

Name:             xlogin
Version:          0
Release:          0.1.%{c0date}git%(c=%{commit0}; echo ${c:0:7})%{?dist}
Summary:          Automatic X login service for systemd 

License:          BSD
URL:              https://github.com/joukewitteveen/%{name}
Source0:          %{url}/archive/%{commit0}.tar.gz#/%{name}-%{commit0}.tar.gz

BuildArch:        noarch

BuildRequires:    systemd-units

# runtime
Requires(post):   systemd
Requires(preun):  systemd
Requires(postun): systemd
Requires:         systemd

# we place additional configuration for X11
Requires:         xorg-x11-xinit

%description
The files in this package make it possible to login
to X without a desktop manager.


%prep
%setup -qn%{name}-%{commit0}
# upstream issue #8
sed -i -r 's,Description=.*,\0\nDocumentation=file:%{_pkgdocdir}/README,' *.service*

%build

%install
%make_install


# Caution: mind the star for an unknown user name
# FIXME can we run more than one user service with the same tty?
%post
%systemd_post %{name}@.service

%preun
%systemd_preun %{name}@*.service

%postun
%systemd_postun %{name}@*.service


%files
%license LICENSE
%doc README
%{_bindir}/x-daemon
%{_unitdir}/x@.service
%{_unitdir}/%{name}@.service
%config(noreplace) %{_sysconfdir}/X11/xinit/xinitrc.d/25-%{name}


%changelog
* Thu Jan 14 2016 Raphael Groner <projects.rg@smart.ms> 0-0.1.20160114git97667d7
- initial
